.joe_wallpaper__type {
  position: relative;
  background: var(--background); 
  border-radius: var(--radius-wrap);
  box-shadow: var(--box-shadow);
  padding: 60px 15px 15px;
  margin-bottom: 15px;
}

.joe_wallpaper__type-title {
  position: absolute;
  top: 15px;
  left: -10px;
  background:#BC2F3F;
  font-weight: 500;
  box-shadow: 2px 5px 10px rgba(49, 58, 70, 0.15);
  height: 30px;
  line-height: 30px;
  padding: 0 12px;
  border-radius: 2px 2px 2px 0;
   -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
 
}

.joe_wallpaper__type-title::before {
  content: '';
  position: absolute;
  bottom: -10px;
  left: -10px;
  border-style: solid;
  border-width: 10px;
  border-color: #BC2F3F transparent transparent;
  -webkit-transform: rotate(90deg);
  transform: rotate(90deg);
}

.joe_wallpaper__type-title a {
  color: #FFF;
font-weight: bold;
}
.joe_wallpaper__type table td {
  padding: 6px 10px;
  border: 1px solid #F6D07B;
  text-align: center;
 transition: background-color 0.3s ease;
}

.joe_wallpaper__type td:hover {
  background-color: #F6D07B; /* 鼠标移上去时的颜色 */
}

.joe_wallpaper__type table tr {
  background-color: #fff;
  border-top: 1px solid #F6D07B;
}

.joe_wallpaper__type table tr:nth-child(2n) {
  background-color:  #FCF8EF;
}

.joe_wallpaper__type .bta,
.joe_wallpaper__type .btb,
.joe_wallpaper__type .btc
{
  padding: 10px 16px;
  border-width: 0;
  font-size: 1.2rem;
  font-weight: bold;
  text-align: center;
  color: #FFF;  
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

.joe_wallpaper__type .bta {
  background: #BC2F3F;
}
.joe_wallpaper__type .btb {
  background: #5CB85C;
  margin-top: 18px;
}
.joe_wallpaper__type .btc {
  background: #00caca;
   margin-top: 18px;
}


.calendar {
  color: #222222;
  width: 100%;
  border: 0.1rem solid #F6D07B;
  display: flex;
  white-space: normal;
background: #FFF;
}
.calendar > div {
  flex: 1;
  overflow: hidden;
}

.calendar div.lang {
  position: absolute;
  right: 1.25rem;
  top: 1.25rem;
  border: 0.06rem solid #646cff;
  border-radius: 0.4rem;
}

.calendar div.lang a.active {
  background: #646cff;
  color: #ffffff;
}

.calendar .center {
  flex: 2;
}

.calendar .border-bottom {
  border-bottom: 1px solid #F4C493;
}

.calendar .border-right {
  border-right: 1px solid #F4C493;
  border-left: 1px solid #F4C493;
}

.calendar .bg {
  background-color: #FCF8EF;
}

.calendar .lunar {
  height: 60px;
  line-height: 60px;
}

.calendar .row {
padding: 0.6rem;
  display: flex; 
}

.calendar .zw{
padding-left: 0.4em;
}

.calendar .rili{
 text-align: center;
}

.calendar .song{
 padding:16px;
 line-height: 30px;
}

.calendar .col {
flex-direction: row; 

}
.calendar div.label {
  font-size: 0.9rem;
  font-weight: bold;
  color: #BC2F3F;
 
}

.calendar .grid { 
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.calendar .grid .col2 {
  flex: 1;
  width: 50%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center; 
padding: 20px 0; 
}

.calendar .grid div.label {
  color: #000000;
}
.calendar .yj-container .yj {
  margin: 20px auto;
  position: relative;
  width: 60px;
  height: 60px;
  line-height: 60px;
  text-align: center;
  border-radius: 50%;
  color: #FFFFFF;
  font-size:26px;
}
.calendar .yj-container .yi {
  background: #5CB85C;
}
.calendar .yj-container .ji {
  background: #D9534F;
}

.calendar .js .label {
  margin-top: 10px;
}

.calendar .today {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  font-size: 100px;
  font-weight: bold;
  color: #BC2F3F;
  line-height: 140px;
  align-items: center;
}

.calendar .today a {
  width: 0;
  height: 0;
  border: 20px solid transparent;
  font-size: 0;
  line-height: 0;
}

.calendar .today a.prev {
  border-right-color: #BC2F3F;
}

.calendar .today a.next {
  border-left-color: #BC2F3F;
}


.calendar .inputs {
  position: relative;
  display: flex;
  padding: 16px;
text-align: center;
  flex-wrap: wrap;
}
.calendar .inputs div {
  position: relative;
  flex: 1 0 auto;
}
.calendar .inputs input,
.calendar .inputs select {
  border: 1px solid #D7D9E0;
  box-sizing: border-box;
  padding: 0.6rem;
  border-radius: 6px;
  line-height: 1.3rem;
  position: relative;
  background: #FFFFFF;
  width: 5.75rem;
  margin-right: 12px;
  text-align: center;
  font-size: 1.3rem;
  outline: none;
}
.calendar .inputs select {
  appearance: none;
}


.calendar input[type=number]::-webkit-inner-spin-button,
.calendar input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    appearance: none;
    margin: 0;
    width: 21px;
    height: 26px;
    position: absolute;
    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABUAAAAaCAMAAABvn+dxAAAAV1BMVEUAAAC8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz+8Lz9EWPv8AAAAHHRSTlMAxDEQKgr7urWMSUE5Guzh0r+qoZaFeXBlXFMiFYbDWwAAAHpJREFUKM+10TkSgzAQRNGxjARm8cYOff9zgkqCkQaqiPjhSzpouuiZnOkP6ogpgFJiZrBWRKb/cOXhUI2tibEBN274Qtjg1CHXW2wh6+i2cshMpokKqSnZyhgf5FIRavIlAVa0N+8Y3VR5VOJLi1+PnDb4MHJveb1sAW9LFGA2zvVZAAAAAElFTkSuQmCC'); /* 添加这行代码，并指定正确的图像路径 */
    background-repeat: no-repeat;
    background-position: center;
}

.calendar input[type=number]::-webkit-inner-spin-button {
    right: 0;
}

.calendar input[type=number]::-webkit-outer-spin-button {
    left: 0;
}


.calendar .bar {
  position: relative;
  width: 80px; /* 交换宽度和高度的值 */
  height: 30px; /* 交换宽度和高度的值 */
  color: #FFFFFF;
  text-align: center;
  background: #BC2F3F; 
  border-radius: 6px;
  font-size: 0.9rem;
  font-weight: bold;
  padding:4px;
}

.calendar .bar::before,
.calendar .bar::after {
  content: '';
  position: absolute;
  left: -6px; /* 更改 left 和 top 的值 */
  top: 50%; /* 更改 left 和 top 的值 */
  width: 16px;
  height: 16px;
  border-radius: 50%;
  background: #BC2F3F;
  margin-top: -8px; /* 更改 margin-left 为 margin-top */
}

.calendar .bar::after {
  left: auto; /* 更改 left 和 top 的值 */
  right: -6px; /* 添加 right 属性 */
  top: 50%; /* 更改 left 和 top 的值 */
  bottom: auto; /* 移除 bottom 属性 */
}

.calendar .grid .col2 > div.bar {

  height: 30px; /* 修改高度的值 */
  margin-top: 20px; /* 更改 margin-left 为 margin-top */
}
@media only screen and (max-width: 768px) { 
	.calendar .hlleft,
	.calendar .hlright,
	.joe_wallpaper__type .btb,
    .joe_wallpaper__type .btc,
	.joe_wallpaper__type table{
		display:none;
	}
}